Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Client GETList Clients GETCreate Client POST
OrganizationClients

Get Client


Retrieve details for a single client company identified by client_id.

GET
/api/rest/v2/clients/{client_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

client_id*integer

Client ID

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/clients/0"
{
  "id": 123,
  "client_id": 99,
  "name": "Sample Name",
  "actions": [],
  "correlation_id": "string_value",
  "active": true,
  "print_logo": true,
  "address_1": "string_value",
  "address_2": "string_value",
  "city": "Minneapolis",
  "state": "MN",
  "zip": "90210",
  "country": "USA",
  "location_type": 0,
  "website": "string_value",
  "policy_procedure": "string_value",
  "standard_instruction": "string_value",
  "about": "string_value",
  "created": {
    "utc": "string_value"
  },
  "logo": "string_value",
  "manager": {
    "thumbnail": "string_value",
    "id": 123,
    "first_name": "John",
    "last_name": "Doe",
    "email": "user@fieldnation.com",
    "phone": "555-0199"
  },
  "work_order_counts": {
    "all": 0,
    "today": 0,
    "draft": 0,
    "published_routed": 0,
    "assigned": 0,
    "approved_paid": 0,
    "work_done": 0
  },
  "projects": {
    "metadata": {
      "total": 100,
      "page": 0,
      "pages": 5,
      "per_page": 20
    },
    "results": [],
    "actions": []
  }
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Update service territory PUT

Previous Page

List Clients GET

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/clients/0"